Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.middleware.util
Class SubmissionTimesTrace

    java.lang.Object
      lbg.middleware.util.SubmissionTimesTrace

All Implemented Interfaces:
  SubmissionTimesGenerator

    public class SubmissionTimesTrace

extends java.lang.Object
implements SubmissionTimesGenerator

Author:
  Cyril Briquet

Constructor Summary
`SubmissionTimesTrace(java.lang.String trace_fn, int expected_jobs)` Constructs a new submission times trace-based generator.

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `skipWaitingBeforeFirstSubmission()`
`java.lang.String` | `summary()`
`java.lang.String` | `toString()`
`void` | `waitBeforeNextSubmission()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubmissionTimesTrace

    public SubmissionTimesTrace(java.lang.String trace_fn,
                                int expected_jobs)
                         throws GridException

  Constructs a new submission times trace-based generator.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### waitBeforeNextSubmission

    public void waitBeforeNextSubmission()
                                  throws GridException

  Specified by:
    `waitBeforeNextSubmission` in interface `SubmissionTimesGenerator`
  Throws:
    `GridException`

### skipWaitingBeforeFirstSubmission

    public void skipWaitingBeforeFirstSubmission()
                                          throws GridException

  Specified by:
    `skipWaitingBeforeFirstSubmission` in interface `SubmissionTimesGenerator`
  Throws:
    `GridException`

### summary

    public java.lang.String summary()

  Specified by:
    `summary` in interface `SubmissionTimesGenerator`

### main

    public static void main(java.lang.String[] args)
                     throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.